For the complete documentation index, see llms.txt. This page is also available as Markdown.

Assets

Asset routes allow for uploading and retrieval of imagery that are attached to Spectrum recipes.

Get Assets for Organization

GET https://api.spectrumcustomizer.com/api/assets/saved/client/:clientHandle/organization/:clientIdentifier

This endpoint retrieves all uploaded assets assigned to an organization for a given client.

A sibling route also accepts an includeUploadedAssets boolean as a final path segment:

GET https://api.spectrumcustomizer.com/api/assets/saved/client/:clientHandle/organization/:clientIdentifier/include-uploaded-assets/:includeUploadedAssets

Path Parameters

Name
Type
Description

clientHandle*

string

Handle of client

clientIdentifier*

string

Organization identifier (passed as the clientIdentifier route value)

includeUploadedAssets

bool

Optional path segment on the alternate route. When true, also returns plain uploaded assets.

Optional Querystring Parameters

Name
Type
Description

page

int

Page number (1 for first)

pageSize

int

Number of records per page

service

string

Filter assets by a specific service

embellishmentType

string

Filter by embellishment type (e.g. Embroidery, Print, Laser, etc.)

sortOrder

string

Sort order. Defaults to RecentlyUsed.

200 JSON list of all matching assets

{
  "lastModification": "2023-06-29T19:21:06.8069348+00:00",
  "error": null,
  "apiVersion": "3.0.23173.1",
  "hash": "AfoO01vWutb1C6lHVCpCqw==",
  "paging": {
    "totalRecords": 3,
    "pageCount": 1,
    "page": 1,
    "pageSize": 50
  },
  "contents": [
    {
      "id": 1234,
      "uploadedAssetId": 19695342,
      "uploadedAssetUri": "https://cdn.spectrumcustomizer.com:443/assets/UserUpload/b8873e1d-944f-490a-b0d8-0608f8039a37.png",
      "metaData": {
        "Url": "https://api.spectrumcustomizer.com/api/uploaded-assets/id/19695342"
      },
      "spectrumAssetReference": "CCG60521324002",
      "clientAccountReference": "60521324",
      "organizationIdentifier": "7000000000000300322",
      "userFacingFileName": "white mba used",
      "productionJobs": [
        {
          "id": 16797,
          "uploadedAssetId": 19695342,
          "clientHandle": "carhartt",
          "providerHandle": "midsouth",
          "providerReference": "MS-BG9RRNAH",
          "reference": "CCG60521324002",
          "clientReference": "CCG60521324002",
          "template": "LIGHT",
          "productColor": "Navy",
          "placement": "RC",
          "placementWidth": {
            "value": "3.50n",
            "type": "Big Number"
          },
          "placementHeight": {
            "value": "3.00n",
            "type": "Big Number"
          },
          "notes": "Keep uploaded logo color(s) ",
          "createdDate": "2021-05-04T13:31:29.967",
          "workFlowType": "New",
          "embellishmentType": "Embroidery",
          "status": "Completed",
          "result": {
            "id": 16730,
            "receivedDate": "2021-05-04T13:31:29.967",
            "threadCount": 4060,
            "actualHeight": {
              "value": "3.00n",
              "type": "Big Number"
            },
            "actualWidth": {
              "value": "3.50n",
              "type": "Big Number"
            },
            "lastModification": "2022-05-08T18:32:37.607",
            "outputs": [
              {
                "id": 0,
                "convertedAssetId": null,
                "uri": "https://stospectprodglobal.blob.core.windows.net/carhartt/embroidery/CCG60521324002/CCG60521324002R1.DST",
                "assetFormat": {
                  "id": 1008,
                  "extension": ".dst",
                  "mimeType": "application/octet-stream",
                  "clientHandle": "carhartt",
                  "requiresConversion": false,
                  "isImage": true,
                  "isRaster": false,
                  "conversionAssetFormat": null,
                  "name": "Data Stitch Tajima"
                }
              },
              {
                "id": 0,
                "convertedAssetId": null,
                "uri": "https://stospectprodglobal.blob.core.windows.net/carhartt/embroidery/CCG60521324002/CCG60521324002R1.PNG",
                "assetFormat": {
                  "id": 1,
                  "extension": ".png",
                  "mimeType": "image/png",
                  "clientHandle": null,
                  "requiresConversion": false,
                  "isImage": true,
                  "isRaster": true,
                  "conversionAssetFormat": null,
                  "name": "Portable Network Graphics"
                }
              },
              {
                "id": 0,
                "convertedAssetId": null,
                "uri": "https://stospectprodglobal.blob.core.windows.net/carhartt/embroidery/CCG60521324002/CCG60521324002R1.PDF",
                "assetFormat": {
                  "id": 3,
                  "extension": ".pdf",
                  "mimeType": "application/pdf",
                  "clientHandle": null,
                  "requiresConversion": true,
                  "isImage": true,
                  "isRaster": false,
                  "conversionAssetFormat": {
                    "id": 1,
                    "extension": ".png",
                    "mimeType": "image/png",
                    "clientHandle": null,
                    "requiresConversion": false,
                    "isImage": true,
                    "isRaster": true,
                    "conversionAssetFormat": null,
                    "name": "Portable Network Graphics"
                  },
                  "name": "Portable Document Format"
                }
              }
            ]
          },
          "specificationUri": "https://stospectprodglobal.blob.core.windows.net/carhartt/embroidery/CCG60521324002/CCG60521324002R1.PDF",
          "dstUri": "https://stospectprodglobal.blob.core.windows.net/carhartt/embroidery/CCG60521324002/CCG60521324002R1.DST",
          "lastModification": "2022-05-08T18:32:37.493"
        },
        {
          "id": 24305,
          "uploadedAssetId": 19695342,
          "clientHandle": "carhartt",
          "providerHandle": "midsouth",
          "providerReference": "MS-YB73P8F9",
          "reference": "CCG60521324001",
          "clientReference": "CCG60521324001",
          "template": "LIGHT",
          "productColor": "Black",
          "placement": "RC",
          "placementWidth": {
            "value": "3.50n",
            "type": "Big Number"
          },
          "placementHeight": {
            "value": "3.00n",
            "type": "Big Number"
          },
          "notes": "Keep uploaded logo color(s) ",
          "createdDate": "2021-05-04T13:31:29.967",
          "workFlowType": "New",
          "embellishmentType": "Embroidery",
          "status": "Completed",
          "result": {
            "id": 24101,
            "receivedDate": "2022-01-20T04:31:58.387",
            "threadCount": 4060,
            "actualHeight": {
              "value": "3.00n",
              "type": "Big Number"
            },
            "actualWidth": {
              "value": "3.00n",
              "type": "Big Number"
            },
            "lastModification": "2022-08-16T03:18:48.383",
            "outputs": [
              {
                "id": 0,
                "convertedAssetId": null,
                "uri": "https://stospectprodglobal.blob.core.windows.net/carhartt/embroidery/CCG60521324001/CCG60521324001R1.DST",
                "assetFormat": {
                  "id": 1008,
                  "extension": ".dst",
                  "mimeType": "application/octet-stream",
                  "clientHandle": "carhartt",
                  "requiresConversion": false,
                  "isImage": true,
                  "isRaster": false,
                  "conversionAssetFormat": null,
                  "name": "Data Stitch Tajima"
                }
              },
              {
                "id": 0,
                "convertedAssetId": null,
                "uri": "https://stospectprodglobal.blob.core.windows.net/carhartt/embroidery/CCG60521324001/CCG60521324001R1.PNG",
                "assetFormat": {
                  "id": 1,
                  "extension": ".png",
                  "mimeType": "image/png",
                  "clientHandle": null,
                  "requiresConversion": false,
                  "isImage": true,
                  "isRaster": true,
                  "conversionAssetFormat": null,
                  "name": "Portable Network Graphics"
                }
              },
              {
                "id": 0,
                "convertedAssetId": null,
                "uri": "https://stospectprodglobal.blob.core.windows.net/carhartt/embroidery/CCG60521324001/CCG60521324001R1.PDF",
                "assetFormat": {
                  "id": 3,
                  "extension": ".pdf",
                  "mimeType": "application/pdf",
                  "clientHandle": null,
                  "requiresConversion": true,
                  "isImage": true,
                  "isRaster": false,
                  "conversionAssetFormat": {
                    "id": 1,
                    "extension": ".png",
                    "mimeType": "image/png",
                    "clientHandle": null,
                    "requiresConversion": false,
                    "isImage": true,
                    "isRaster": true,
                    "conversionAssetFormat": null,
                    "name": "Portable Network Graphics"
                  },
                  "name": "Portable Document Format"
                }
              }
            ]
          },
          "specificationUri": "https://stospectprodglobal.blob.core.windows.net/carhartt/embroidery/CCG60521324001/CCG60521324001R1.PDF",
          "dstUri": "https://stospectprodglobal.blob.core.windows.net/carhartt/embroidery/CCG60521324001/CCG60521324001R1.DST",
          "lastModification": "2022-08-16T03:18:47.913"
        }
      ],
      "hasProductionJob": true,
      "clientHandle": "carhartt",
      "active": true,
      "createdDate": "2022-04-05T15:06:58.69",
      "lastModification": "2022-04-05T15:06:58.69"
    },
    {
      "id": 8059,
      "uploadedAssetId": 19654081,
      "uploadedAssetUri": "https://cdn.spectrumcustomizer.com:443/assets/UserUpload/Square_abbccda3-a188-45d0-8c65-12e21da29ad9.png",
      "metaData": {
        "Url": "https://api.spectrumcustomizer.com/api/uploaded-assets/id/19654081"
      },
      "spectrumAssetReference": null,
      "clientAccountReference": "60521324",
      "organizationIdentifier": "7000000000000300322",
      "userFacingFileName": "mba logo only",
      "productionJobs": null,
      "hasProductionJob": false,
      "clientHandle": "carhartt",
      "active": true,
      "createdDate": "2022-04-05T17:43:15.65",
      "lastModification": "2022-04-05T17:43:15.65"
    },
    {
      "id": 8073,
      "uploadedAssetId": 19661033,
      "uploadedAssetUri": "https://cdn.spectrumcustomizer.com:443/assets/UserUpload/Square_2d03a3b1-ab34-4b07-a1a4-ff496505a8b5.png",
      "metaData": {
        "Url": "https://api.spectrumcustomizer.com/api/uploaded-assets/id/19661033"
      },
      "spectrumAssetReference": null,
      "clientAccountReference": "60521324",
      "organizationIdentifier": "7000000000000300322",
      "userFacingFileName": "white MBA",
      "productionJobs": null,
      "hasProductionJob": false,
      "clientHandle": "carhartt",
      "active": true,
      "createdDate": "2022-04-05T17:43:34.837",
      "lastModification": "2022-04-05T17:43:34.837"
    }
  ]
}

Note: When no assets match the supplied client/organization the endpoint returns 200 OK with an empty contents array and paging.totalRecords: 0 — it does not return 404. Unhandled errors are returned as an RFC 7807 ProblemDetails document (status 500) with a link to the relevant log entry.

Last updated

Was this helpful?